# QVM: Quaternions, Vectors, Matrices

### col

#include <boost/qvm/map_mat_vec.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_mat<A>::value
            template <int C,class A>
            -unspecified-return-type- col( A & a );
        }
    }

The expression col<C>(m) returns a view proxy that accesses column C of the matrix m as a vector.

See also: Boost QVM | boost/qvm/map_mat_vec.hpp